#ifndef _RMAP_CLIENT_H
#define _RMAP_CLIENT_H

/***********************************************************************
 * 
 * Exported poster structure
 * 
 ***********************************************************************/

#define RMAP_MAX_SIZE_X	(1000)
#define RMAP_MAX_SIZE_Y	(1000)

typedef enum RMAP_CELL_STATUS {
  RMAP_EMPTY,
  RMAP_FILLED
} RMAP_CELL_STATUS;

/* Names of the 3D terrain classes */
typedef enum RMAP_PROBAS {RMAP_NO_CLASS,
			  RMAP_P_FLAT, 
			  RMAP_P_OBSTACLE, 
			  RMAP_P_ROUGH, 
			  RMAP_P_SLOPE,
			  RMAP_NB_CLASSES} 
  RMAP_PROBAS; 

typedef struct rmapCell {
  RMAP_CELL_STATUS	status;
  double			probas[RMAP_NB_CLASSES];
} rmapCell;

typedef struct rmapMap {
  double		scale;
  int		xNb;
  int		yNb;		/* Nb pixels of the map */
  double		xOrigin;
  double      	yOrigin;	/* Position of the map origin in the global
				   frame */
  rmapCell	cells[RMAP_MAX_SIZE_X*RMAP_MAX_SIZE_Y];
} rmapMap;

/* A much ligther version of the poster, with only the obstcle probabilities
   encoded on a char */
typedef struct rmapLightMap {
  double	scale;
  int		xNb;
  int		yNb;		/* Nb pixels of the map */
  double	xOrigin;
  double      	yOrigin;	/* Position of the map origin in the global
				   frame */
  unsigned char probaObstacle[RMAP_MAX_SIZE_X*RMAP_MAX_SIZE_Y];
} rmapLightMap;

#endif
