
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef regionMap_TCLSERV_CLIENT_MSG_LIB_H
#define regionMap_TCLSERV_CLIENT_MSG_LIB_H

#include <server/regionMapType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int regionMapTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int regionMapTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int regionMapTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 rmapInitParams *(in_initParams) 
		);

int regionMapTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				rmapInitParams *(in_initParams) ,
				
				int *bilan);

int regionMapTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					rmapInitParams *(in_initParams) ,
					
					int *bilan);




int regionMapTclservClientConnectRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 rmapConnectionParams *(in_connectionParams) 
		);

int regionMapTclservClientConnectReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientConnectRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				rmapConnectionParams *(in_connectionParams) ,
				
				int *bilan);

int regionMapTclservClientConnectRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					rmapConnectionParams *(in_connectionParams) ,
					
					int *bilan);




int regionMapTclservClientLoadMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 rmapLoadParams *(in_loadParams) 
		);

int regionMapTclservClientLoadMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientLoadMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				rmapLoadParams *(in_loadParams) ,
				
				int *bilan);

int regionMapTclservClientLoadMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					rmapLoadParams *(in_loadParams) ,
					
					int *bilan);




int regionMapTclservClientLoadPgmMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 rmapLoadPgmParams *(in_loadPgmParams) 
		);

int regionMapTclservClientLoadPgmMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientLoadPgmMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				rmapLoadPgmParams *(in_loadPgmParams) ,
				
				int *bilan);

int regionMapTclservClientLoadPgmMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					rmapLoadPgmParams *(in_loadPgmParams) ,
					
					int *bilan);




int regionMapTclservClientLoadRessacMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 rmapLoadParams *(in_loadParams) 
		);

int regionMapTclservClientLoadRessacMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientLoadRessacMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				rmapLoadParams *(in_loadParams) ,
				
				int *bilan);

int regionMapTclservClientLoadRessacMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					rmapLoadParams *(in_loadParams) ,
					
					int *bilan);




int regionMapTclservClientSetSaveParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 rmapSaveParams *(in_saveParams)
		);

int regionMapTclservClientSetSaveParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int regionMapTclservClientSetSaveParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 rmapSaveParams *(in_saveParams) ,
				 
				 int *bilan);




int regionMapTclservClientGetSaveParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int regionMapTclservClientGetSaveParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       rmapSaveParams *(out_saveParams),
			       int *bilan);

int regionMapTclservClientGetSaveParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 rmapSaveParams *(out_saveParams),
				 int *bilan);




int regionMapTclservClientSaveRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int regionMapTclservClientSaveReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientSaveRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int regionMapTclservClientSaveRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int regionMapTclservClientPrintMapInfosRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int regionMapTclservClientPrintMapInfosReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientPrintMapInfosRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int regionMapTclservClientPrintMapInfosRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int regionMapTclservClientSetCircularAreaRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 rmapCircleParams *(in_circleParams) 
		);

int regionMapTclservClientSetCircularAreaReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientSetCircularAreaRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				rmapCircleParams *(in_circleParams) ,
				
				int *bilan);

int regionMapTclservClientSetCircularAreaRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					rmapCircleParams *(in_circleParams) ,
					
					int *bilan);




int regionMapTclservClientSetLocalCircularAreaRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 rmapRadiusParams *(in_radiusParams) 
		);

int regionMapTclservClientSetLocalCircularAreaReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientSetLocalCircularAreaRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				rmapRadiusParams *(in_radiusParams) ,
				
				int *bilan);

int regionMapTclservClientSetLocalCircularAreaRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					rmapRadiusParams *(in_radiusParams) ,
					
					int *bilan);




int regionMapTclservClientUpdateMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int regionMapTclservClientUpdateMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientUpdateMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int regionMapTclservClientUpdateMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int regionMapTclservClientUpdateLightPosterRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int regionMapTclservClientUpdateLightPosterReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientUpdateLightPosterRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int regionMapTclservClientUpdateLightPosterRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int regionMapTclservClientSavePosterRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int regionMapTclservClientSavePosterReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientSavePosterRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int regionMapTclservClientSavePosterRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int regionMapTclservClientInitDisplayRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 rmapDisplayParams *(in_displayParams) 
		);

int regionMapTclservClientInitDisplayReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientInitDisplayRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				rmapDisplayParams *(in_displayParams) ,
				
				int *bilan);

int regionMapTclservClientInitDisplayRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					rmapDisplayParams *(in_displayParams) ,
					
					int *bilan);




int regionMapTclservClientStopDisplayRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int regionMapTclservClientStopDisplayReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientStopDisplayRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int regionMapTclservClientStopDisplayRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int regionMapTclservClientUpdateDisplayRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int regionMapTclservClientUpdateDisplayReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int regionMapTclservClientUpdateDisplayRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int regionMapTclservClientUpdateDisplayRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int regionMapTclservClientGetDisplayParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int regionMapTclservClientGetDisplayParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       rmapDisplayParams *(out_displayParams),
			       int *bilan);

int regionMapTclservClientGetDisplayParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 rmapDisplayParams *(out_displayParams),
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* regionMapTCLSERV_CLIENT_MSG_LIB_H */

